Last Comment Bug 724453 - nsTextFrameThebes assumes wrong bool size
: nsTextFrameThebes assumes wrong bool size
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Layout: Misc Code (show other bugs)
: Trunk
: PowerPC Mac OS X
: -- normal (vote)
: mozilla13
Assigned To: Cameron Kaiser [:spectre]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-05 20:04 PST by Cameron Kaiser [:spectre]
Modified: 2012-02-07 12:19 PST (History)
1 user (show)
bzbarsky: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Use sizeof(bool) with memset() (2.66 KB, patch)
2012-02-05 20:04 PST, Cameron Kaiser [:spectre]
bzbarsky: review+
Details | Diff | Splinter Review

Description Cameron Kaiser [:spectre] 2012-02-05 20:04:00 PST
Created attachment 594619 [details] [diff] [review]
Use sizeof(bool) with memset()

From bug 720350, a two-line patch to fix bool size issues in nsTextFrameThebes. The other bug I was tracking in content/base/src/nsLineBreaker.cpp was already fixed.
Comment 1 Cameron Kaiser [:spectre] 2012-02-05 20:05:14 PST
Er, three, even.
Comment 2 Boris Zbarsky [:bz] 2012-02-05 20:06:53 PST
Comment on attachment 594619 [details] [diff] [review]
Use sizeof(bool) with memset()

r=me
Comment 3 Cameron Kaiser [:spectre] 2012-02-05 20:10:27 PST
Thank you kindly.
Comment 4 Mozilla RelEng Bot 2012-02-06 05:05:37 PST
Autoland Patchset:
	Patches: 594619
	Branch: mozilla-central => try
	Destination: http://hg.mozilla.org/try/rev/811d13c9ada2
Try run started, revision 811d13c9ada2. To cancel or monitor the job, see: https://tbpl.mozilla.org/?tree=Try&rev=811d13c9ada2
Comment 6 Mozilla RelEng Bot 2012-02-06 17:30:23 PST
Try run for 811d13c9ada2 is complete.
Detailed breakdown of the results available here:
    https://tbpl.mozilla.org/?tree=Try&rev=811d13c9ada2
Results (out of 207 total builds):
    exception: 1
    success: 187
    warnings: 19
Builds (or logs if builds failed) available at:
http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/autolanduser@mozilla.com-811d13c9ada2
 Timed out after 06 hours without completing.
Comment 7 Ed Morley [:emorley] 2012-02-07 12:19:35 PST
https://hg.mozilla.org/mozilla-central/rev/b27b65ade4a6

Note You need to log in before you can comment on or make changes to this bug.